Show / Hide Table of Contents

# Struct AtkTooltipManager

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkTooltipManager

### Fields

| Improve this Doc View Source

#### AtkEventListener

##### Declaration

    public AtkEventListener AtkEventListener

##### Field Value

Type | Description
--- | ---
AtkEventListener |

| Improve this Doc View Source

#### AtkStage

##### Declaration

    public AtkStage*AtkStage

##### Field Value

Type | Description
--- | ---
AtkStage* |

| Improve this Doc View Source

#### TooltipMap

##### Declaration

    public StdMap<Pointer<AtkResNode>, Pointer<AtkTooltipManager.AtkTooltipInfo>> TooltipMap

##### Field Value

Type | Description
--- | ---
StdMap<Pointer<AtkResNode>, Pointer<AtkTooltipManager.AtkTooltipInfo>> |

### Methods

| Improve this Doc View Source

#### AddTooltip(AtkTooltipManager.AtkTooltipType, UInt16, AtkResNode*, AtkTooltipManager.AtkTooltipArgs*)

##### Declaration

    public void AddTooltip(AtkTooltipManager.AtkTooltipType type, ushort parentID, AtkResNode*targetNode, AtkTooltipManager.AtkTooltipArgs*tooltipArgs)

##### Parameters

Type | Name | Description
--- | --- | ---
AtkTooltipManager.AtkTooltipType | type |
System.UInt16 | parentID |
AtkResNode* | targetNode |
AtkTooltipManager.AtkTooltipArgs* | tooltipArgs |

| Improve this Doc View Source

#### RemoveTooltip(AtkResNode*)

##### Declaration

    public void RemoveTooltip(AtkResNode*targetNode)

##### Parameters

Type | Name | Description
--- | --- | ---
AtkResNode* | targetNode |